<?php

/**
* Settings:
* Which articles are searchable can be defined by a clinet setting
* searchable/idcats
*
* @package Module
* @subpackage ContentSearchResult
* @author Marcus Gnaß <marcus.gnass@4fb.de>
* @copyright four for business AG
* @link http://www.4fb.de
*/


$cfg["tab"]["fullsearch"] = $cfg['sql']['sqlprefix']."_fullsearch";

$lang = cRegistry::getLanguageId();
$idcat = cRegistry::getCategoryId();
$idart = cRegistry::getArticleId();

$url2login = cUri::getInstance()->build(array(
	'idart' => getEffectiveSetting('login', 'idart', 1),
	'lang' => $lang,
), false); // true creates absolute path instead of relative



// get search term
$searchTerm = '';
if (isset($_GET['search_term'])) {
	$searchTerm = cSecurity::toString($_GET['search_term']);
} elseif (isset($_POST['search_term'])) {
	$searchTerm = cSecurity::toString($_POST['search_term']);
} else  {
	$searchTerm = "";
}

// $userInfo is initiated here. It can be used to pass on more login user specific information to smarty; 
// it might also be used for further updates / corrections to deal with restricted content
$userInfo = array();

if ($auth->auth["uid"] == "nobody") {
	$userInfo["isLoggedIn"] = false;
} else {
	// dump all FEU info from con_frontendusers into $userInfo. FEU properties (additions through FEU plugins) are not processed.
	$oFeUserCollection = new cApiFrontendUserCollection();
	$oFeUser = $oFeUserCollection->loadItem($auth->auth["uid"]);
	$userInfo = $oFeUser->toArray();
	// set login state to true
	$userInfo["isLoggedIn"] = true;
}

//print " --- getsearchterm: ".$searchTerm;

// get page number

$page = isset($_GET['page']) ? abs(cSecurity::toInteger($_GET['page'])) : 1;


// create & render module
// if set to true, allowProtectedResults will render all protected content into the search results. A specific search result will be marked if it should normally NOT be visible to the logged in or not logged in user. This function can be used to tease restricted content. See smarty template on how to deal with such results.

$mod = new FullsearchModule(array(
	'templateName' => 'content_fullsearch_results/template/get.tpl',
	'label' => array(
		'login' => mi18n("LOGIN_REGISTER"),
		'emptyHeadline' => mi18n("EMPTY_HEADLINE"),
		'emptyHeadline' => mi18n("EMPTY_HEADLINE"),
		'linkSearchResults' => mi18n("LINK_SEARCH_RESULTS"),
		'more' => mi18n("MORE"),
		'msgNoResultsFound' => mi18n("MSG_NO_RESULTS_FOUND"),
		'msgResultsFound' => mi18n("MSG_RESULTS_FOUND"),
		'msgRange' => mi18n("MSG_RANGE"),
		'next' => mi18n("NEXT"),
		'headline' => mi18n("RESULT_PAGE_HEADLINE"),
		'submit' => mi18n("SEARCH_SUBMIT"),
		'previous' => mi18n("PREVIOUS"),
		'resultPage' => mi18n("RESULT_PAGE"),
		'viewResultPage' => mi18n("VIEW_RESULT_PAGE"),
		'viewNextResultPage' => mi18n("VIEW_NEXT_RESULT_PAGE")
	),
	'userInfo' => $userInfo,
	'method' => "GET",
	'allowProtectedResults' => false,
	'itemsPerPage' => 10,
	'url2login' => $url2login,
	'page' => $page,
	'searchTerm' => $searchTerm
));

$mod->render();


?>