{*
Comments:
This modules variable allowProtectedResults can be true or false. It deals with the fact that protected content is part of the rendering result, to allow teaser to restricted content.
Each results therefore holds $result.protectedContent which is set to true if the actual user is still NOT allowed to see the full content and is just teased. See below.
*}


<!-- content_search_results/template/get.tpl -->
<script>
	$(function() {
		$('.pageselect').change(function() {
			document.forms["paginationselect"].submit();
		});
	});
</script>


<div id="searchResultWrapper" class="content col-md-12">
	{* headline *}
	<h1>{$label.headline}</h1>
	
	{* search form *}
	<form action="{$action}" method="{$method}" id="fullsearchform" class="form-horizontal">
		{if $idart}<input type="hidden" name="idart" value="{$idart}" />{/if}
		{if $idlang}<input type="hidden" name="idlang" value="{$idlang}" />{/if}
		
		<div class="form-group">
			<div class="col-sm-12 col-md-8">
				<input type="text" id="search_term" name="search_term" class="form-control" title="Suche" />
			</div>
		</div>
		<div class="form-group">
			<div class="col-sm-12 col-md-4">
				<input type="submit" class="button0" value="{$label.submit}" />
			</div>			
			
		</div>
	</form>
	
	{if !empty($results) }
	
	<h3>{$msgResult}</h3>
	{*
	possible add-ons: 
	<span>Range: {$msgRange}</span>
	Anzahl Seiten: {$numPages} :: Anzahl Treffer: {$numFound}  :: Seite: {$page} :: Start: {$start}
	*}
	
	
	
	<div class="pagination responsivePhoneNo">
		<ul>
			{foreach from=$pagination04 item=pageFull}		
			{if $pageFull.0 eq 'active' }
			<li class="active"><a>{$pageFull.1}</a></li>
			{elseif  $pageFull.0 eq ''}
			<li><a>{$pageFull.1}</a></li>
			{else}
			<li><a href="{$pageFull.0}">{$pageFull.1}</a></li>
			{/if}
			{/foreach}
		</ul>
	</div>
	
	<div class="paginationselect responsivePhone">
		<form name="paginationselect" class="paginationselect" action="{$action}" method="GET">
			<select name="page" class="pageselect">
				
				{foreach item=navpage from=$pages|array_keys}
				{assign var="href" value=$pages.$navpage}
				<option {if $page eq $navpage} selected {/if} value="{$navpage}">{$navpage}</option>
				{/foreach}
				
			</select>
			<input type="hidden" name="search_term" value="{$searchTerm}">
		</form>
	</div>	
	{/if}
	
	{* search result list *}
	<div id="search_result">
		{foreach item=result from=$results key=keynumber}
		{assign var="number" value=$start+$keynumber+1}
		{assign var="hdlnlength" value=$result.headlines.0|mb_strlen}
		{assign var="comparetext" value=$result.strippedContent|truncate:$hdlnlength:"":true}
		

		<div class="search_result">
			<h3><span class="entry">{$number}</span>
				{if 0 lt $result.headlines|count AND $result.headlines.0 neq ""}
				<a href="{$result.url}">{$result.headlines.0}</a>
				
				{else}
				<a href="{$result.url}">{$label.emptyHeadline} {*$result.id_cat.0}_{$result.id_art.0*}</a>
				{/if}
			</h3>
			<div class="resultcontent">
				<p>
					{if $comparetext eq $result.headlines.0}
					{$result.strippedContent|replace:$result.headlines.0:""|trim|truncate:300:""} (...)
					{* {$result.strippedContent|truncate:300:""} (...) *}
					{else}
					{$result.strippedContent|truncate:300:""} (...)
					{/if}
					<br />
					{if !$result.protectedContent AND ($result.cat_public.0 eq 1 OR $userInfo.isLoggedIn eq 1)}
					<a href="{$result.url}">&rsaquo; {$label.more}</a>
					{else}
					<a href="{$url2login}">&rsaquo; {$label.login}</a>
					{/if}
				</p>
				
			</div>
		</div>
		{/foreach}
	</div>
	
	{if !empty($results) }
	{*if $numPages gt 0*}
	
	<div class="pagination responsivePhoneNo">
		<ul>
			{foreach from=$pagination04 item=page}		
			{if $page.0 eq 'active' }
			<li class="active"><a>{$page.1}</a></li>
			{elseif  $page.0 eq ''}
			<li><a>{$page.1}</a></li>
			{else}
			<li><a href="{$page.0}">{$page.1}</a></li>
			{/if}
			{/foreach}
		</ul>
	</div>
	
	<div class="paginationselect responsivePhone">
		<form name="paginationselect" class="paginationselect" action="{$action}" method="GET">
			<select name="page" class="pageselect">
				
				{foreach item=navpage from=$pages|array_keys}
				{assign var="href" value=$pages.$navpage}
				<option {if $page eq $navpage} selected {/if} value="{$navpage}">{$navpage}</option>
				{/foreach}
				
			</select>
			<input type="hidden" name="search_term" value="{$searchTerm}">
		</form>
	</div>	
	{/if}
	
</div>

<!-- /content_search_results/template/get.tpl -->