<?php

defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

global $area, $client, $cfg;

if (!isset($_GET["mode"]) || $_GET["mode"] == "") {
    $page = new cGuiPage('fullsearch_settings', 't2t_fullsearch');

    $page->set('s', 'headline', i18n("Einstellungen für die Volltextsuche", $area));
    $page->set('s', 'area', $area);
    $page->set('s', 'link_mode01', $sess->url("main.php?area=$area&frame=4&mode=1"));
    $page->set('s', 'link_text01', i18n("Re-Index", $area));
    $page->set('s', 'link_mode02', $sess->url("main.php?area=$area&frame=4&mode=2"));
    $page->set('s', 'link_text02', i18n("Index leeren", $area));
//$page->set('s', 'label_report', i18n("Status der Sicherung", $area));
    //$page->set('s', 'report', $meldung);
    $page->render();

}

if ($_GET["mode"] == 1) { // full re-index

    $cfg["tab"]["fullsearch"] = $cfg['sql']['sqlprefix'] . "_fullsearch";

    $page = new cGuiPage('fullsearch_reindex', 't2t_fullsearch');
    $page->set('s', 'headline', i18n("Neuindizierung der Webseite", $area));
    $page->set('s', 'intro', i18n("Meldung: Die Neuindizierung wurde gestartet.", $area));
    $page->render();

    //$articleIds = array();
    $dosomething = new FullsearchCollection();
    $dosomething->reindex();
    print "<p>" . i18n("Meldung: Die Neuindizierung wurde abgeschlossen.") . "</p>";
}

if ($_GET["mode"] == 2) { // delete index

    $cfg["tab"]["fullsearch"] = $cfg['sql']['sqlprefix'] . "_fullsearch";

    $page = new cGuiPage('fullsearch_reindex', 't2t_fullsearch');
    $page->set('s', 'headline', i18n("Leeren des Suchindex", $area));
    $page->set('s', 'intro', i18n("Meldung: Das Leeren des Suchindex wurde gestartet, bitte warten.", $area));
    $page->render();

    $articleIds = array();
    $dosomething = new FullsearchCollection();
    try {
        $dosomething->deleteIndex();
    } catch (cException $e) {
        // ignore exception so that articles can be indexed nonetheless
    }

    print "<p>" . i18n("Meldung: Die Datenbanktabelle der Volltextsuche wurde erfolgreich geleert.") . "</p>";
}

/*
function dirsize($dir){
$dirsize=0;
$handle=opendir ($dir);
while (false !== ($file = readdir ($handle))) {
$dirsize+=filesize($dir.$file);
}
closedir($handle);
return $dirsize;
}

// Standardseite bei Erstaufruf
if ( !isset($_GET["mode"]) || $_GET["mode"] == "" ) {

// Lege Ausgaben fest auf der Basis der ermittelten Werte f�r das Verzeichnis
$intromsg = i18n("Das Backup erfordert einen Ordner namens /backup auf der gleichen Ebene wie /contenido mit den Zugriffsrechten 757.<br>Die Backupfunktion im linken Men� wird erst freigeschaltet, wenn alle Parameter korrekt sind.", $area);

$page = new cGuiPage('backup_start', 't2t_backup');

if ( $pathfinder )  {
$pathfinderinfo = i18n("Der Backup-Ordner ist vorhanden.", $area);
$backupsize = round(dirsize("$backup_path")/(1024*1024),2);
if ( $permissionfinder ) {
$chmod_info = i18n("757 (ok)");
$intromsg = i18n("Der Backupordner ist korrekt konfiguriert.", $area);
} else {
$chmod_info = i18n("Derzeit $dir_permission - bitte auf 757 setzen", $area);
}
} else {
$pathfinderinfo = i18n("Bitte Ordner /backup anlegen.", $area);
$backupsize     = i18n("Bitte Ordner /backup anlegen.", $area);
$chmod_info     = i18n("Bitte Ordner /backup anlegen.", $area);
}

$page->set('s', 'headline', i18n("Konfiguration", $area));
$page->set('s', 'intro', $intromsg);
$page->set('s', 'label_pathfinder', i18n("Backup-Ordner", $area));
$page->set('s', 'pathfinder', $pathfinderinfo);
$page->set('s', 'label_chmod', i18n("Ordnerrechte", $area));
$page->set('s', 'chmod', $chmod_info. $pluginid );
$page->set('s', 'label_dbname', i18n("Sicherung Datenbank", $area));
$page->set('s', 'dbname', $cfg['db']['connection']['database']);
$page->set('s', 'label_autodelete', i18n("Max. vorhandene Backups", $area));
$page->set('s', 'autodelete', $number_of_files . " " . i18n("Dateien", $area));
$page->set('s', 'label_gzip', i18n("GZip-Komprimierung", $area));
$page->set('s', 'gzip', i18n("muss auf dem Server erlaubt sein", $area));
$page->set('s', 'label_backupsizes', i18n("Bisheriger verbrauchter Speicherplatz (in MB)", $area));
$page->set('s', 'backupsizes', $backupsize);
$page->render();
}

// Backup: Speichern bei mode = 1

if ( $_GET["mode"] == 1 ) {

$page = new cGuiPage('backup_save', 't2t_backup');

//$t2tbackupfile  = date("d\.m\.Y\_H",time())."_Uhr_".date("i",time()); // Dateiname aus Datum und Uhrzeit bilden
$t2tbackupfile  = date( "Y\-m\-d\_H\-i\-s", time() ); // Dateiname aus Datum und Uhrzeit bilden
$t2tbackupfile .= ".sql.gz";
if (file_exists($t2tbackupfile)) unlink($t2tbackupfile);

$file2save = $cfg['path']['frontend'].str_replace("./..", "", $backup_path).$t2tbackupfile;

system($cfg['plugins']['usrbin']."mysqldump -u".$cfg['db']['connection']['user']." -p".$cfg['db']['connection']['password']." -h".$cfg['db']['connection']['host']." ".$cfg['db']['connection']['database']." | ".$cfg['plugins']['gzip']." > ".$file2save, $fp);
if ($fp==0) $meldung = i18n("Das Backup wurde erfolgreich angelegt!  >> $file2save", $area); else $meldung = i18n("Es ist ein Fehler aufgetreten! >> $file2save", $area);

$page->set('s', 'headline', i18n("Erstellung des Backup", $area));
$page->set('s', 'intro', i18n("Bitte haben Sie einen Moment Geduld und warten Sie auf die Statusnachricht.", $area));
$page->set('s', 'label_report', i18n("Status der Sicherung", $area));
$page->set('s', 'report', $meldung);
$page->render();

}

 */